Bug 71438 - Update ports: misc/gman add dependency & fix netbrowse option
Update ports: misc/gman add dependency & fix netbrowse option
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-06 22:30 UTC by ser_gagnon
Modified: 2004-12-13 21:52 UTC (History)
0 users

See Also:


Attachments
patch-Makefile.diff (313 bytes, patch)
2004-09-06 22:30 UTC, ser_gagnon
no flags Details | Diff
patch-gman.pl (1.86 KB, text/plain)
2004-09-06 22:30 UTC, ser_gagnon
no flags Details
file.diff (1.41 KB, patch)
2004-09-06 22:30 UTC, ser_gagnon
no flags Details | Diff
patch-mandata.c (1.38 KB, text/plain)
2004-09-07 01:39 UTC, ser_gagnon
no flags Details
patch-gman.pl (1.86 KB, text/plain)
2004-09-07 01:39 UTC, ser_gagnon
no flags Details
patch-gman.c (1.53 KB, text/plain)
2004-09-07 01:39 UTC, ser_gagnon
no flags Details
pkg-message (312 bytes, text/plain)
2004-09-07 01:39 UTC, ser_gagnon
no flags Details
patch-pkg-plist.diff (271 bytes, patch)
2004-09-07 01:39 UTC, ser_gagnon
no flags Details | Diff
patch-Makefile.diff (299 bytes, patch)
2004-09-07 01:39 UTC, ser_gagnon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ser_gagnon 2004-09-06 22:30:23 UTC
	o gman start "xterm" instead of "x-terminal-emulator"
	o same as above for "mozilla" "dillo"
	o I have added a RUN_DEPEND to dillo
	o fix gman.pl so localbrowse and netbrowse now work
	(I know absolutely nothing at perl. If you think that is
	not correct, tell me

	Fix include a patch for misc/gman/Makefile.
	The three other files have to be put in gman/files

Fix: --- gman.c.orig	Sun Aug 29 09:05:32 2004
+++ gman.c	Sun Aug 29 09:06:27 2004
@@ -89,9 +89,9 @@
 	context->set_default_value("show_status_bar","int",(void*)0);
 	context->set_default_value("show_warning","int",(void*)0);
 	context->set_default_value("show_mode","int",(void*)0); // 0 = xterm, 1 = ghostview
-	context->set_default_value("xterm_command","char*",(void*)"x-terminal-emulator");
-	context->set_default_value("gv_command","char*",(void*)"gv");
-	context->set_default_value("browser_command","char*",(void*)"mozilla"); // kfm also works
+	context->set_default_value("xterm_command","char*",(void*)"xterm");
+	context->set_default_value("gv_command","char*",(void*)"ghostview");
+	context->set_default_value("browser_command","char*",(void*)"dillo"); // kfm also works
 	context->set_default_value("cgi_host","char*",(void*)"localhost");
 	context->set_default_value("cgi_location","char*",(void*)"/cgi-bin/gman.pl");
 	context->set_default_value("print_command","char*",(void*)"lpr"); // not in use
--- patch-gman.c ends here ---
Comment 1 Adam Weinberger freebsd_committer 2004-09-06 22:35:50 UTC
>> (09.06.2004 @ 1723 PST): Serge Gagnon said, in 6.2K: <<
> 	o gman start "xterm" instead of "x-terminal-emulator"
> 	o same as above for "mozilla" "dillo"
> 	o I have added a RUN_DEPEND to dillo
>> end of "ports/71438: Update ports: misc/gman add dependency & fix netbrowse option" from Serge Gagnon <<

It feels weird to move from the most popular browser to one of the least
popular browsers. Perhaps a build-time configuration option would be the
most widely applicable solution?

# Adam


--
Adam Weinberger
adamw@magnesium.net || adamw@FreeBSD.org
adamw@vectors.cx    ||   adamw@gnome.org
http://www.vectors.cx
Comment 2 ser_gagnon 2004-09-06 22:55:58 UTC
>>>>> On Mon Sep 6 17:50:36, Adam wrote:

  > It feels weird to move from the most popular browser to one of the
  > least popular browsers. Perhaps a build-time configuration option
  > would be the most widely applicable solution?

I don't know how to do it, but I'll take a look at other ports for some 
brainwave.

-- 
Serge Gagnon <ser_gagnon@sympatico.ca>
Quebec, Qc, Canada
Comment 3 ser_gagnon 2004-09-07 01:39:51 UTC
Ok.

This one remove the RUN_DEPEND to dillo and use your favorite browser. 
The one you put in your BROWSER variable.

Additional file: pkg-message

Comment 4 Thierry Thomas freebsd_committer 2004-12-13 21:51:47 UTC
State Changed
From-To: open->closed


Committed, thanks!